New Search

Denial of Service Vulnerability in Wireshark 2.2.7 - CVE-2017-9766

oval:org.cisecurity:def:2715

In Wireshark 2.2.7 PROFINET IO data with a high recursion depth allows remote attackers to cause a denial of service (stack exhaustion) in the dissect_IODWriteReq function in plugins/profinet/packet-dcerpc-pn-io.c.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows 8
  • Microsoft Windows 8.1
  • Microsoft Windows Vista
  • Microsoft Windows Server 2003
  • Microsoft Windows Server 2016
  • Microsoft Windows 10
  • Microsoft Windows 2000
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2008
  • Microsoft Windows 7
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2012
  • Microsoft Windows XP
Class:
vulnerability
Reference(s):
  • CVE-2017-9766
Product(s):
  • Wireshark